CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::filters::date Class Reference

Formats date to the stream, date is represented as number - POSIX time, a plain number. More...

`#include <cppcms/filters.h>`

## Public Member Functions
| date (date const &other)
date const & | operator= (date const &other)
| date (streamable const &time)
| date (streamable const &time, std::string const &timezone)
void | operator() (std::ostream &out) const

## Detailed Description

Formats date to the stream, date is represented as number - POSIX time, a plain number.

## Constructor & Destructor Documentation

cppcms::filters::date::date | ( | streamable const & | time | ) |

Create date filter that formats current local-time date using POSIX time representation time

cppcms::filters::date::date | ( | streamable const & | time,
|  | std::string const & | timezone
| ) |  |

Create date filter that formats current date using POSIX time representation time, in a timezone timezone

The documentation for this class was generated from the following file:

- cppcms/filters.h